var util = require('../../../../utils/util.js');
var api = require('../../../../config/api');
var user = require('../../../../utils/user.js');
var app = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
    rId: 0,
    userName: '',
    avatarUrl: '/static/images/member/get.png',
    loginCode: '',
  },
  getPhoneNumber(e) {
    let that = this
    util.request(api.RefereeMemberCardReceive, {
        code: this.data.loginCode,
        encryptedData: e.detail.encryptedData,
        iv: e.detail.iv,
        rId: that.data.rId
      }, "POST")
      .then((res) => {
        if (res.errno == 0) {
          app.globalData.hasLogin = true;
          app.globalData.userInfo = res.data.userInfo;
          wx.setStorageSync('userInfo', res.data.userInfo);
          wx.setStorageSync('token', res.data.token);
          wx.navigateTo({
            url: '/pages/member/card/received/receivedCard?rId=' + that.data.rId,
          })
        } else {
          util.showErrorToast(res.errmsg);
          that.getLoginCode();
        }
      });
  },
  getLoginCode() {
    let that = this;
    user.login().then(res => {
      that.setData({
        loginCode: res.code
      })
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if (options.scene || options.rId) {
      var rid = 0;
      if (options.scene) {
        var referee = decodeURIComponent(options.scene)
        rid = referee.replace("rId=", "");
      } else {
        rid = options.rId;
      }
      this.setData({
        rId: rid
      });
      this.getReferee();
    } else {
      util.showErrorToast("无效分享");
    }
  },
  getReferee() {
    util.request(api.ReferrerRidInfo, {
        rId: this.data.rId,
      }, "GET")
      .then((res) => {
        if (res.errno == 0) {
          this.setData({
            userName: res.data.applyName,
            avatarUrl: res.data.avatar
          })
          app.globalData.recommend = {
            userName: res.data.applyName,
            avatarUrl: res.data.avatar
          };

        } else {
          util.showErrorToast(res.errmsg);
        }
      });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getLoginCode();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  
})